Agora C++ API Reference for All Platforms

Public Member Functions | Protected Member Functions | List of all members
agora::base::IAgoraParameter Class Referenceabstract

Inherits agora::RefCountInterface.

## Public Member Functions
virtual void | release ()=0
virtual int | setBool (const char *key, bool value)=0
virtual int | setInt (const char *key, int value)=0
virtual int | setUInt (const char *key, unsigned int value)=0
virtual int | setNumber (const char *key, double value)=0
virtual int | setString (const char *key, const char *value)=0
virtual int | setObject (const char *key, const char *value)=0
virtual int | setArray (const char *key, const char *value)=0
virtual int | getBool (const char *key, bool &value)=0
virtual int | getInt (const char *key, int &value)=0
virtual int | getUInt (const char *key, unsigned int &value)=0
virtual int | getNumber (const char *key, double &value)=0
virtual int | getString (const char *key, agora::util::AString &value)=0
virtual int | getObject (const char *key, agora::util::AString &value)=0
virtual int | getArray (const char *key, const char *args, agora::util::AString &value)=0
virtual int | setParameters (const char *parameters)=0
virtual int | convertPath (const char *filePath, agora::util::AString &value)=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Protected Member Functions
virtual | ~IAgoraParameter ()
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Constructor & Destructor Documentation

## ◆ ~IAgoraParameter()

virtual agora::base::IAgoraParameter::~IAgoraParameter | ( |  | ) |
| inline protected virtual

## Member Function Documentation

## ◆ release()

virtual void agora::base::IAgoraParameter::release | ( |  | ) |
| pure virtual

release the resource

## ◆ setBool()

virtual int agora::base::IAgoraParameter::setBool | ( | const char * | key,
|  | bool | value
| ) |  |
| pure virtual

set bool value of the json

Parameters

  [in] | key | the key name
  [in] | value | the value

Returns
  return 0 if success or an error code

## ◆ setInt()

virtual int agora::base::IAgoraParameter::setInt | ( | const char * | key,
|  | int | value
| ) |  |
| pure virtual

set int value of the json

Parameters

  [in] | key | the key name
  [in] | value | the value

Returns
  return 0 if success or an error code

## ◆ setUInt()

virtual int agora::base::IAgoraParameter::setUInt | ( | const char * | key,
|  | unsigned int | value
| ) |  |
| pure virtual

set unsigned int value of the json

Parameters

  [in] | key | the key name
  [in] | value | the value

Returns
  return 0 if success or an error code

## ◆ setNumber()

virtual int agora::base::IAgoraParameter::setNumber | ( | const char * | key,
|  | double | value
| ) |  |
| pure virtual

set double value of the json

Parameters

  [in] | key | the key name
  [in] | value | the value

Returns
  return 0 if success or an error code

## ◆ setString()

virtual int agora::base::IAgoraParameter::setString | ( | const char * | key,
|  | const char * | value
| ) |  |
| pure virtual

set string value of the json

Parameters

  [in] | key | the key name
  [in] | value | the value

Returns
  return 0 if success or an error code

## ◆ setObject()

virtual int agora::base::IAgoraParameter::setObject | ( | const char * | key,
|  | const char * | value
| ) |  |
| pure virtual

set object value of the json

Parameters

  [in] | key | the key name
  [in] | value | the value

Returns
  return 0 if success or an error code

## ◆ setArray()

virtual int agora::base::IAgoraParameter::setArray | ( | const char * | key,
|  | const char * | value
| ) |  |
| pure virtual

set array value of the json

Parameters

  [in] | key | the key name
  [in] | value | the value

Returns
  return 0 if success or an error code

## ◆ getBool()

virtual int agora::base::IAgoraParameter::getBool | ( | const char * | key,
|  | bool & | value
| ) |  |
| pure virtual

get bool value of the json

Parameters

  [in] | key | the key name
  [in,out] | value | the value

Returns
  return 0 if success or an error code

## ◆ getInt()

virtual int agora::base::IAgoraParameter::getInt | ( | const char * | key,
|  | int & | value
| ) |  |
| pure virtual

get int value of the json

Parameters

  [in] | key | the key name
  [in,out] | value | the value

Returns
  return 0 if success or an error code

## ◆ getUInt()

virtual int agora::base::IAgoraParameter::getUInt | ( | const char * | key,
|  | unsigned int & | value
| ) |  |
| pure virtual

get unsigned int value of the json

Parameters

  [in] | key | the key name
  [in,out] | value | the value

Returns
  return 0 if success or an error code

## ◆ getNumber()

virtual int agora::base::IAgoraParameter::getNumber | ( | const char * | key,
|  | double & | value
| ) |  |
| pure virtual

get double value of the json

Parameters

  [in] | key | the key name
  [in,out] | value | the value

Returns
  return 0 if success or an error code

## ◆ getString()

virtual int agora::base::IAgoraParameter::getString | ( | const char * | key,
|  | agora::util::AString & | value
| ) |  |
| pure virtual

get string value of the json

Parameters

  [in] | key | the key name
  [in,out] | value | the value

Returns
  return 0 if success or an error code

## ◆ getObject()

virtual int agora::base::IAgoraParameter::getObject | ( | const char * | key,
|  | agora::util::AString & | value
| ) |  |
| pure virtual

get a child object value of the json

Parameters

  [in] | key | the key name
  [in,out] | value | the value

Returns
  return 0 if success or an error code

## ◆ getArray()

virtual int agora::base::IAgoraParameter::getArray | ( | const char * | key,
|  | const char * | args,
|  | agora::util::AString & | value
| ) |  |
| pure virtual

get array value of the json

Parameters

  [in] | key | the key name
  [in,out] | value | the value

Returns
  return 0 if success or an error code

## ◆ setParameters()

virtual int agora::base::IAgoraParameter::setParameters | ( | const char * | parameters | ) |
| pure virtual

set parameters of the sdk or engine

Parameters

  [in] | parameters | the parameters

Returns
  return 0 if success or an error code

## ◆ convertPath()

virtual int agora::base::IAgoraParameter::convertPath | ( | const char * | filePath,
|  | agora::util::AString & | value
| ) |  |
| pure virtual